## xwax 0.8

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,8 @@
 
 PREFIX = $(HOME)
 
-CFLAGS += -Wall -O3 -MMD
+CFLAGS += -Wall -O3
+CPPFLAGS += -MMD
 LDFLAGS += -O3
 
 SDL_CFLAGS = `sdl-config --cflags`
