## xwax 1.0

=== Makefile ===
--- 
+++ 
@@ -41,7 +41,8 @@
 
 # Core objects and libraries
 
-OBJS = import.o interface.o library.o listing.o lut.o player.o realtime.o \
+OBJS = deck.o import.o interface.o library.o listing.o lut.o \
+	player.o realtime.o \
 	rig.o selector.o timecoder.o track.o xwax.o
 DEVICE_OBJS = device.o
 DEVICE_CPPFLAGS =
@@ -124,10 +125,10 @@
 test-track:	test-track.o import.o track.o
 
 clean:
-		rm -f xwax
-		rm -f test-library
-		rm -f test-timecoder
-		rm -f test-track
-		rm -f *.o *.d *~
+		rm -f xwax \
+			test-library \
+			test-timecoder \
+			test-track \
+			*.o *.d
 
 -include *.d
