=== debian/changelog ===
xwax (1.0-0ubuntu1) precise; urgency=low

  * New upstream release. (Closes: #637207)
  * debian/control:
    - use [linux-any]. (Closes: #634480)
    - bump Standards-Version to 3.9.2.
    - bump debhelper Build-Depends to 7.0.50~.
  * debian/rules:
    - port to dh7.
    - clean .config file.
    - install upstream changelog.
  * debian/copyright: use DEP 5.
  * Changes submitted to Debian maintainer, but not included yet.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri, 14 Oct 2011 17:45:39 +0200
