## xwax 1.1~beta1

=== Makefile ===
--- 
+++ 
@@ -41,7 +41,7 @@
 
 # Core objects and libraries
 
-OBJS = deck.o import.o interface.o library.o listing.o lut.o \
+OBJS = deck.o external.o import.o interface.o library.o listing.o lut.o \
 	player.o realtime.o \
 	rig.o selector.o timecoder.o track.o xwax.o
 DEVICE_OBJS = device.o
@@ -118,11 +118,18 @@
 
 # Manual tests
 
-test-library:	test-library.o library.o listing.o
+.PHONY:		tests
+
+tests:		test-library test-timecoder test-track
+
+test-library:	test-library.o external.o library.o listing.o
 
 test-timecoder:	test-timecoder.o lut.o timecoder.o
 
-test-track:	test-track.o import.o track.o
+test-track:	test-track.o device.o external.o import.o lut.o player.o
+test-track:	realtime.o rig.o timecoder.o track.o
+test-track:	LDFLAGS += -pthread
+test-track:	LDLIBS += -lm
 
 clean:
 		rm -f xwax \
