=== debian/changelog ===
xwax (1.1~beta1-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri, 23 Dec 2011 16:07:31 +0100
