## xwax 1.1~beta2

=== debian/changelog ===
xwax (1.1~beta2-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri, 13 Jan 2012 16:53:40 +0100
