=== debian/changelog ===
xwax (1.1-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Sun, 29 Jan 2012 16:58:16 +0100
