=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: xwax
 Section: sound
 Priority: extra
-Maintainer: Mitchell Smith <mjs@mjsprojects.net>
-Build-Depends: debhelper (>= 7), libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libsdl-ttf2.0-dev
-Standards-Version: 3.9.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mitchell Smith <mjs@mjsprojects.net>
+Build-Depends: debhelper (>= 7.0.50~), libasound2-dev [linux-any], libsdl-ttf2.0-dev
+Standards-Version: 3.9.2
 Homepage: http://www.xwax.co.uk/
 
 Package: xwax
