=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

%:
	dh $@

override_dh_auto_configure:
ifneq ($(DEB_HOST_ARCH_OS),linux)
	./configure --prefix /usr --enable-oss
else
	./configure --prefix /usr --enable-alsa
endif

override_dh_auto_install:
	$(MAKE) PREFIX=$(CURDIR)/debian/xwax/usr install

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGES

override_dh_clean:
	dh_clean .config
