=== debian/changelog ===
xwax (1.2-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * debian/rules: move clean bits to debian/clean.
  * debian/clean: momentarily add test-*.{d,o} to it until it's fixed
    upstream.
  * debian/patches/02-remove-redundant-copyright-notice.patch: dropped,
    override dh_install instead.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 26 Apr 2012 11:41:30 +0200
