=== debian/rules ===
--- 
+++ 
@@ -27,8 +27,9 @@
 override_dh_auto_install:
 	$(MAKE) PREFIX=$(CURDIR)/debian/xwax/usr install
 
+override_dh_install:
+	dh_install
+	rm -f $(CURDIR)/debian/xwax/usr/share/doc/xwax/COPYING
+
 override_dh_installchangelogs:
 	dh_installchangelogs -k CHANGES
-
-override_dh_clean:
-	dh_clean .config
