## xwax 1.3~beta2

=== Makefile ===
--- 
+++ 
@@ -15,36 +15,40 @@
 # MA 02110-1301, USA.
 #
 
-INSTALL = install
+# Import the optional configuration
 
-PREFIX = $(HOME)
+-include .config
+
+# Libraries and dependencies
+
+INSTALL ?= install
+
+SDL_CFLAGS ?= `sdl-config --cflags`
+SDL_LIBS ?= `sdl-config --libs` -lSDL_ttf
+ALSA_LIBS ?= -lasound
+JACK_LIBS ?= -ljack
+
+# Installation paths
+
+PREFIX ?= $(HOME)
+
+BINDIR ?= $(PREFIX)/bin
+EXECDIR ?= $(PREFIX)/libexec
+MANDIR ?= $(PREFIX)/share/man
+DOCDIR ?= $(PREFIX)/share/doc
+
+# Build flags
 
 CFLAGS += -Wall -O3
 CPPFLAGS += -MMD
 LDFLAGS += -O3
 
-SDL_CFLAGS = `sdl-config --cflags`
-SDL_LIBS = `sdl-config --libs` -lSDL_ttf
-ALSA_LIBS = -lasound
-JACK_LIBS = -ljack
-
-# Import the optional configuration
-
--include .config
-
-# Installation paths
-
-BINDIR = $(PREFIX)/bin
-EXECDIR = $(PREFIX)/libexec
-MANDIR = $(PREFIX)/share/man
-DOCDIR = $(PREFIX)/share/doc
-
 # Core objects and libraries
 
-OBJS = controller.o cues.o deck.o device.o external.o import.o interface.o \
+OBJS = controller.o cues.o deck.o device.o external.o interface.o \
 	library.o listing.o lut.o \
 	player.o realtime.o \
-	rig.o selector.o thread.o timecoder.o track.o xwax.o
+	rig.o selector.o status.o thread.o timecoder.o track.o xwax.o
 DEVICE_CPPFLAGS =
 DEVICE_LIBS =
 
@@ -90,7 +94,8 @@
 
 interface.o:	CFLAGS += $(SDL_CFLAGS)
 
-xwax.o:		CFLAGS += $(SDL_CFLAGS) $(DEVICE_CPPFLAGS)
+xwax.o:		CFLAGS += $(SDL_CFLAGS)
+xwax.o:		CPPFLAGS += $(DEVICE_CPPFLAGS)
 xwax.o:		CPPFLAGS += -DEXECDIR=\"$(EXECDIR)\" -DVERSION=\"$(VERSION)\"
 xwax.o:		.version
 
@@ -98,17 +103,13 @@
 
 .PHONY:		install
 install:
-		$(INSTALL) -d $(BINDIR)
-		$(INSTALL) xwax $(BINDIR)/xwax
-		$(INSTALL) -d $(EXECDIR)
-		$(INSTALL) scan $(EXECDIR)/xwax-scan
-		$(INSTALL) import $(EXECDIR)/xwax-import
-		$(INSTALL) -d $(MANDIR)/man1
-		$(INSTALL) -m 0644 xwax.1 $(MANDIR)/man1/xwax.1
-		$(INSTALL) -d $(DOCDIR)/xwax
-		$(INSTALL) -m 0644 CHANGES $(DOCDIR)/xwax/CHANGES
-		$(INSTALL) -m 0644 COPYING $(DOCDIR)/xwax/COPYING
-		$(INSTALL) -m 0644 README $(DOCDIR)/xwax/README
+		$(INSTALL) -D xwax $(DESTDIR)$(BINDIR)/xwax
+		$(INSTALL) -D scan $(DESTDIR)$(EXECDIR)/xwax-scan
+		$(INSTALL) -D import $(DESTDIR)$(EXECDIR)/xwax-import
+		$(INSTALL) -D -m 0644 xwax.1 $(DESTDIR)$(MANDIR)/man1/xwax.1
+		$(INSTALL) -D -m 0644 CHANGES $(DESTDIR)$(DOCDIR)/xwax/CHANGES
+		$(INSTALL) -D -m 0644 COPYING $(DESTDIR)$(DOCDIR)/xwax/COPYING
+		$(INSTALL) -D -m 0644 README $(DESTDIR)$(DOCDIR)/xwax/README
 
 # Distribution archive from Git source code
 
@@ -116,10 +117,15 @@
 dist:		.version
 		./mkdist $(VERSION)
 
+# Editor tags files
+
+TAGS:		$(OBJS:.o=.c)
+		etags $^
+
 # Manual tests
 
 .PHONY:		tests
-tests:		test-cues test-library test-timecoder test-track
+tests:		test-cues test-library test-status test-timecoder test-track
 
 test-cues:	test-cues.o cues.o
 
@@ -128,9 +134,11 @@
 test-midi:	test-midi.o midi.o
 test-midi:	LDLIBS += $(ALSA_LIBS)
 
+test-status:	test-status.o status.o
+
 test-timecoder:	test-timecoder.o lut.o timecoder.o
 
-test-track:	test-track.o external.o import.o rig.o thread.o track.o
+test-track:	test-track.o external.o rig.o status.o thread.o track.o
 test-track:	LDFLAGS += -pthread
 test-track:	LDLIBS += -lm
 
@@ -140,8 +148,10 @@
 			test-cues \
 			test-library \
 			test-midi \
+			test-status \
 			test-timecoder \
 			test-track \
-			$(OBJS) $(DEPS)
+			$(OBJS) $(DEPS) \
+			TAGS
 
 -include $(DEPS)
