=== debian/changelog ===
xwax (1.3~beta2-0ubuntu1) quantal; urgency=low

  * New upstream beta release.
  * Reorganise build variables.
  * debian/patches/01-fix-libexec-dir-in-makefile.patch: dropped.
  * debian/rules: set EXECDIR.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 12 Jun 2012 19:18:33 +0200
