=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Mitchell Smith <mjs@mjsprojects.net>
 Build-Depends: debhelper (>= 7.0.50~), libasound2-dev [linux-any], libsdl-ttf2.0-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.xwax.co.uk/
 
 Package: xwax
