=== debian/rules ===
--- 
+++ 
@@ -24,8 +24,11 @@
 	./configure --prefix /usr --enable-alsa
 endif
 
+override_dh_auto_build:
+	$(MAKE) PREFIX=/usr EXECDIR=/usr/share/xwax
+
 override_dh_auto_install:
-	$(MAKE) PREFIX=$(CURDIR)/debian/xwax/usr install
+	$(MAKE) PREFIX=$(CURDIR)/debian/xwax/usr EXECDIR=$(CURDIR)/debian/xwax/usr/share/xwax install
 
 override_dh_install:
 	dh_install
