## xwax 1.3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2012 Mark Hills <mark@pogo.org.uk>
+# Copyright (C) 2012 Mark Hills <mark@xwax.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License version 2, as
@@ -52,6 +52,8 @@
 DEVICE_CPPFLAGS =
 DEVICE_LIBS =
 
+TESTS = test-cues test-library test-status test-timecoder test-track
+
 # Optional device types
 
 ifdef ALSA
@@ -71,7 +73,8 @@
 DEVICE_CPPFLAGS += -DWITH_OSS
 endif
 
-DEPS = $(OBJS:.o=.d)
+TEST_OBJS = $(addsuffix .o,$(TESTS))
+DEPS = $(OBJS:.o=.d) $(TEST_OBJS:.o=.d)
 
 # Rules
 
@@ -125,7 +128,7 @@
 # Manual tests
 
 .PHONY:		tests
-tests:		test-cues test-library test-status test-timecoder test-track
+tests:		$(TESTS)
 
 test-cues:	test-cues.o cues.o
 
@@ -145,13 +148,8 @@
 .PHONY:		clean
 clean:
 		rm -f xwax \
-			test-cues \
-			test-library \
-			test-midi \
-			test-status \
-			test-timecoder \
-			test-track \
 			$(OBJS) $(DEPS) \
+			$(TESTS) $(TEST_OBJS) \
 			TAGS
 
 -include $(DEPS)
