=== debian/changelog ===
xwax (1.3-1fakesync1) raring-proposed; urgency=low

  * Fake sync due to mismatching orig tarball.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri, 18 Jan 2013 01:15:35 +0100

xwax (1.3-1) unstable; urgency=low

  [ Mitchell Smith ]
  * New upstream release. (Closes: #637207)
  * Moved to Debian Multimedia Maintainers team.
  * debian/patches/01-fix-libexec-dir-in-makefile.patch: dropped.
  * debian/patches/02-remove-redundant-copyright-notice.patch: dropped,
    override dh_install instead.
  * debian/control:
    - use [linux-any]. (Closes: #634480)
    - bump Standards-Version to 3.9.2.
    - bump debhelper Build-Depends to 7.0.50~.
    - Changed maintainer to Debian Multimedia Maintainers.
  * debian/rules:
    - port to dh7.
    - install upstream changelog.
    - set EXECDIR.
    - move clean bits to debian/clean.
  * debian/copyright: use DEP 5.

  [ Alessio Treglia ]
  * Add Mitchell and myself to the Uploaders field.
  * Enable JACk support.
  * Enable hardened flags.
  * Refresh debian/copyright, port it to Copyright format 1.0.
  * Add Vcs tags.
  * Bump Standards.

 -- Mitchell Smith <mjs@mjsprojects.net>  Thu, 17 Jan 2013 10:17:03 +1000
