=== debian/control ===
Source: xwax
Section: sound
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Mitchell Smith <mjs@mjsprojects.net>
Build-Depends:
 debhelper (>= 7.0.50~),
 libasound2-dev [linux-any],
 libjack-dev,
 libsdl-ttf2.0-dev
Standards-Version: 3.9.4
Homepage: http://www.xwax.co.uk/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/xwax.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/xwax.git

Package: xwax
Architecture: any
Depends:
 ttf-dejavu-extra,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 cdparanoia,
 ffmpeg,
 mpg123
Suggests:
 jackd
Description: open-source vinyl emulation software for Linux
 xwax is open-source vinyl emulation software for Linux. It allows DJs and
 turntablists to playback digital audio files (MP3, Ogg Vorbis, FLAC, AAC and
 more), controlled using a normal pair of turntables via timecoded vinyls.
 .
 It's designed for both beat mixing and scratch mixing. Needle drops, pitch
 changes, scratching, spinbacks and rewinds are all supported, and feel just
 like the audio is pressed onto the vinyl itself.
 .
 The focus is on an accurate vinyl feel which is efficient, stable and fast.
