=== debian/changelog ===
xwax (1.4~beta2-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/patches/fix-tests-ttf-flag: dropped.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 21 May 2013 07:25:42 +0200

xwax (1.4~beta1-0ubuntu1~13.04) raring; urgency=low

  * New upstream test release.
  * debian/patches/fix-tests-ttf-flag: fix a small typo in the Makefile to
    make the tests build.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 03 Apr 2013 08:47:18 +0200
