## xwax 1.4~beta3

=== debian/changelog ===
xwax (1.4~beta3-0ubuntu1) saucy; urgency=low

  * New upstream release.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 29 May 2013 00:50:36 +0200
