=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libasound2-dev [linux-any],
  libjack-dev,
  libsdl-ttf2.0-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.xwax.co.uk/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/xwax.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/xwax.git
