## xwax 1.6~beta1

=== debian/changelog ===
xwax (1.6~beta1-1build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 07:16:21 +0000

xwax (1.6~beta1-1) unstable; urgency=medium

  * New upstream release.
  * Support both avconf and ffmpeg binaries. (Closes: #722487)
  * Refresh debian/copyright.
  * Bump Standards

 -- Alessio Treglia <alessio@debian.org>  Wed, 10 Jun 2015 12:56:04 +0100
