=== debian/changelog ===
xwax (1.6~beta2-0ubuntu1) xenial; urgency=medium

  * New upstream release.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Sat, 31 Oct 2015 20:21:13 +0100
