=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xwax
 Section: sound
 Priority: extra
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Mitchell Smith <mjs@mjsprojects.net>
@@ -10,7 +11,7 @@
  libasound2-dev [linux-any],
  libjack-dev,
  libsdl-ttf2.0-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.xwax.co.uk/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/xwax.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/xwax.git
@@ -23,7 +24,7 @@
  ${shlibs:Depends}
 Recommends:
  cdparanoia,
- ffmpeg,
+ libav-tools | ffmpeg,
  mpg123
 Suggests:
  jackd
