=== debian/rules ===
--- 
+++ 
@@ -14,14 +14,19 @@
 CROSS= --build $(DEB_BUILD_GNU_TYPE)
 endif
 
+export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
+export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
+
 %:
 	dh $@
 
 override_dh_auto_configure:
 ifneq ($(DEB_HOST_ARCH_OS),linux)
-	./configure --prefix /usr --enable-oss
+	./configure --prefix /usr --enable-oss --enable-jack
 else
-	./configure --prefix /usr --enable-alsa
+	./configure --prefix /usr --enable-alsa --enable-jack
 endif
 
 override_dh_auto_build:
