=== debian/changelog ===
xwax (1.6-2fakesync1) zesty-proposed; urgency=medium

  * Fake sync due to mismatching orig tarball.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 06 Nov 2016 21:46:27 +0000

xwax (1.6-2) unstable; urgency=medium

  * Team upload.
  * Remove myself from the Uploaders field.

 -- Alessio Treglia <alessio@debian.org>  Wed, 02 Nov 2016 22:02:58 +0000

xwax (1.6-1) unstable; urgency=medium

  * New upstream release
  * Remove patch that was merged upstream in 1.6 final release
  * Font package name has changed, avoid pulling in transitional package
  * Bump debhelper compatibility version
  * Use https for Vcs fields in control file
  * Update Debian readme with current script name and wiki link
  * Enable all security hardening options
  * Enable parallel build
  * Update copyright notice
  * Improve format of watch file to sort betas correctly
  * Add myself to the list of uploaders

 -- Daniel James <daniel@64studio.com>  Wed, 31 Aug 2016 15:37:31 +0100
