=== debian/control ===
--- 
+++ 
@@ -4,22 +4,22 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>,
- Mitchell Smith <mjs@mjsprojects.net>
+ Mitchell Smith <mjs@mjsprojects.net>,
+ Daniel James <daniel@64studio.com>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 9),
  libasound2-dev [linux-any],
  libjack-dev,
  libsdl-ttf2.0-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.xwax.co.uk/
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/xwax.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/xwax.git
+Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-multimedia/xwax.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/xwax.git
 
 Package: xwax
 Architecture: any
 Depends:
- ttf-dejavu-extra,
+ fonts-dejavu-extra,
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:
