=== debian/rules ===
--- 
+++ 
@@ -18,9 +18,10 @@
 export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
 export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
 export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_configure:
 ifneq ($(DEB_HOST_ARCH_OS),linux)
