=== debian/changelog ===
xwax (1.7-1) unstable; urgency=medium

  * Team upload.

  [ James Cowgill ]
  * New upstream release.

  * debian/compat: Use debhelper 11.
  * debian/control:
    - Drop Recommends on libav-tools. (Closes: #895919)
    - Update Homepage.
    - Bump standards to 4.1.4.
  * debian/copyright: Update copyright dates.
  * debian/patches: Add patch to generate version correctly.
  * debian/rules: Remove various cruft variable assignments.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

 -- James Cowgill <jcowgill@debian.org>  Fri, 20 Apr 2018 10:14:24 +0100
