=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: xwax
 Section: sound
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Mitchell Smith <mjs@mjsprojects.net>,
  Daniel James <daniel@64studio.com>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  libasound2-dev [linux-any],
  libjack-dev,
  libsdl-ttf2.0-dev
-Standards-Version: 3.9.8
-Homepage: http://www.xwax.co.uk/
-Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-multimedia/xwax.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/xwax.git
+Standards-Version: 4.1.4
+Homepage: http://xwax.org/
+Vcs-Git: https://salsa.debian.org/multimedia-team/xwax.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/xwax
 
 Package: xwax
 Architecture: any
@@ -24,7 +23,7 @@
  ${shlibs:Depends}
 Recommends:
  cdparanoia,
- libav-tools | ffmpeg,
+ ffmpeg,
  mpg123
 Suggests:
  jackd
