=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
ifneq ($(DEB_HOST_ARCH_OS),linux)
	./configure --prefix /usr --enable-oss --enable-jack
else
	./configure --prefix /usr --enable-alsa --enable-jack
endif

override_dh_auto_build:
	$(MAKE) PREFIX=/usr EXECDIR=/usr/share/xwax

override_dh_auto_install:
	$(MAKE) PREFIX=$(CURDIR)/debian/xwax/usr EXECDIR=$(CURDIR)/debian/xwax/usr/share/xwax install

override_dh_install:
	dh_install
	rm -f $(CURDIR)/debian/xwax/usr/share/doc/xwax/COPYING

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGES
