=== debian/changelog ===
xwax (1.8-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.

  [ Dennis Braun ]
  * Bump Standards Version to 4.6.1
  * Add libjack-jackd2-dev as optional B-D
  * Fix cross compiling. Thanks Nilesh! (Closes: #1022077)
  * Add salsa ci config

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 21 Oct 2022 22:14:00 +0200

xwax (1.8-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Dennis Braun ]
  * New upstream version 1.8
  * d/control:
    + Bump dh-compat to 13
    + Bump Standards-Version to 4.6.0
    + Use https protocol for homepage
    + Set RRR: no
    + Add myself as uploader
  * d/copyright:
    + Update copyright year
    + http -> https
    + Add myself to the d/ section
  * Add d/upstream/metadata
  * Bump d/watch version

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 06 Sep 2021 15:59:58 +0200
