=== debian/control ===
--- 
+++ 
@@ -4,16 +4,18 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Mitchell Smith <mjs@mjsprojects.net>,
- Daniel James <daniel@64studio.com>
+ Daniel James <daniel@64studio.com>,
+ Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 13),
  libasound2-dev [linux-any],
- libjack-dev,
+ libjack-dev | libjack-jackd2-dev,
  libsdl-ttf2.0-dev
-Standards-Version: 4.1.4
-Homepage: http://xwax.org/
+Standards-Version: 4.6.1
+Homepage: https://xwax.org/
 Vcs-Git: https://salsa.debian.org/multimedia-team/xwax.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/xwax
+Rules-Requires-Root: no
 
 Package: xwax
 Architecture: any
