## xwax 1.9

=== Makefile ===
--- 
+++ 
@@ -42,7 +42,7 @@
 
 CFLAGS ?= -O3
 CFLAGS += -Wall
-CPPFLAGS += -MMD
+CPPFLAGS += -MMD -MP
 LDFLAGS ?= -O3
 
 # Core objects and libraries
