=== debian/changelog ===
xwax (1.9-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:46:17 +1100

xwax (1.9-1build1) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 07:05:58 +0000

xwax (1.9-1) unstable; urgency=medium

  * New upstream version 1.9
  * Change my email address
  * Bump Standards-Version to 4.6.2
  * Bump my d/copyright year

 -- Dennis Braun <snd@debian.org>  Sun, 18 Jun 2023 17:39:48 +0200
