=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: xwax
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Mitchell Smith <mjs@mjsprojects.net>,
  Daniel James <daniel@64studio.com>,
- Dennis Braun <d_braun@kabelmail.de>
+ Dennis Braun <snd@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  libasound2-dev [linux-any],
  libjack-dev | libjack-jackd2-dev,
  libsdl-ttf2.0-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://xwax.org/
 Vcs-Git: https://salsa.debian.org/multimedia-team/xwax.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/xwax
